# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/spotify/spotify-0.9.11.27-r2.ebuild,v 1.1 2014/12/12 16:19:50 prometheanfire Exp $

EAPI=5
inherit versionator eutils unpacker multilib gnome2-utils fdo-mime

DESCRIPTION="ecoICE - Image Correction Editor for ecoDMS"
HOMEPAGE="http://www.ecodms.de/"
SRC_BASE="http://www.ecodms.de/"

MY_PV=$(replace_version_separator 2 '-' )
MY_P="${PN}-${MY_PV}"
EDITION=$(delete_all_version_separators $(get_version_component_range 1-2 ${MY_PV} ))
SRC_URI="
        amd64? ( ${SRC_BASE}ecodms_${EDITION}64/wheezy/${MY_P}_amd64.deb )
        x86?   ( ${SRC_BASE}ecodms_${EDITION}32/wheezy/${MY_P}_i386.deb )
        "
SLOT="0"
KEYWORDS="~amd64 ~x86"
RESTRICT="mirror strip"
IUSE="english bundled-qt5"

QA_PREBUILT="*"

DEPEND=""
RDEPEND="${DEPEND}
        !bundled-qt5? ( dev-qt/qtwebkit:5 )
        !bundled-qt5? ( dev-qt/qtxml:5 )
        !bundled-qt5? ( dev-qt/qtwidgets:5 )
        !bundled-qt5? ( dev-qt/qtsvg:5 )
        !bundled-qt5? ( dev-qt/qtgui:5[evdev] )
        !bundled-qt5? ( dev-qt/qtcore:5[icu] )
        !bundled-qt5? ( dev-qt/qtopengl:5 )
        !bundled-qt5? ( dev-qt/qtsql:5 )
        !bundled-qt5? ( dev-qt/qtprintsupport:5 )
        !bundled-qt5? ( dev-qt/qtx11extras:5 )
        !bundled-qt5? ( dev-qt/qtdbus:5 )
        !bundled-qt5? ( dev-qt/qtnetwork:5 )
        !bundled-qt5? ( dev-qt/qthelp:5 )
        !bundled-qt5? ( dev-qt/qtsensors:5 )
        !bundled-qt5? ( dev-qt/qtconcurrent:5 )
        !bundled-qt5? ( dev-qt/qtpositioning:5[geoclue] )
        !bundled-qt5? ( dev-qt/qtmultimedia:5 )
        !bundled-qt5? ( dev-qt/qtimageformats:5 )

        dev-libs/icu
        dev-libs/libpcre
		media-gfx/sane-backends
        media-libs/freeimage
        media-libs/opencv
        media-libs/libdmtx
        media-libs/libpng:1.2
        media-libs/jpeg:8
		media-libs/tiff:3"

S=${WORKDIR}

src_prepare() {
    rm ${S}/_gpgbuilder
}

src_install() {
    INSHOME=${S}/opt/ecodms/ecoice
    ECOHOME=/opt/ecodms/ecoice

    dosym /usr/$(get_libdir)/libpcreposix.so ${ECOHOME}/libpcre.so.3

    use english && cp ${INSHOME}/language_en.qm ${INSHOME}/language.qm
	use english || cp ${INSHOME}/language_de.qm ${INSHOME}/language.qm

    # if the bundled Qt5 should be used, just install everything
    # it is no problem if some files will be overwritten later :)
    if use bundled-qt5; then
      doins -r opt
    fi

    insinto ${ECOHOME}
    exeinto ${ECOHOME}
    for i in Vera.ttf eciRGB_v2.icc language.qm language_de.qm language_en.qm; do
      doins opt/ecodms/ecoice/$i
    done;
    for i in icons intro plugins tessdata; do
      doins -r opt/ecodms/ecoice/$i
    done;
    for i in ecoice libclassifyclient.so libecoactivemqclient.so libecoarchiveclient.so libecodmsclassifyplugin.so libecodmspreviewclient.so libhpdf-2.3.0-dev.so libqmimage.so.1 libqpdf.so.10; do
      doexe opt/ecodms/ecoice/$i
    done
    doexe ${FILESDIR}/ecoice.sh

    make_desktop_entry ${ECOHOME}/ecoice.sh "ecoICE" ${ECOHOME}/icons/ecoice.png Office "Path=${ECOHOME}\nStartupNotify=true"
}

#pkg_preinst() {
#}

pkg_postinst() {
    fdo-mime_desktop_database_update
    fdo-mime_mime_database_update
    gnome2_icon_cache_update
}

#pkg_postrm() {
#}

